function [data] = GenerateNoisyMeasurements2(nr_data_points)
%function [data] = GenerateNoisyMeasurements(nr_data_points)
%
%This function generates some noisy data.
%
if nargin < 1
    nr_data_points = 50;
end
x0 = 0;
x_interval=1;

rand_phase = 2 * pi * rand;

x = x0;
X = zeros(nr_data_points, 1);
Y = zeros(nr_data_points, 1);
for i=1:nr_data_points
    X(i) = x;
    Y(i) = computeY(x, i, nr_data_points, rand_phase);
    x = x + x_interval;
end

data = [X, Y];
return;


function y = computeY(x, i, nr_data_points, rand_phase)
A_n = 2;

% deterministic line part
y = 2.73 * x + 11;

% random noise part
A_noise = 2;
y = y + A_noise * randn;
return;


